Pbm Profile Profile Manager Pbm Query Associated Entities

Pbm Profile Profile Manager Pbm Query Associated Entities
Returns the virtual machine and disks that are associated with the given storage policies.

Returns the virtual machine and disks that are associated with the given storage policies.

If the profiles parameter is empty, then this API returns all the virtual machine and disks that are associated with some storage policy.

Required privileges: StorageProfile.View

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/pbm/PbmProfileProfileManager/{moId}/PbmQueryAssociatedEntities
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case PbmProfileProfileManager/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
PbmQueryAssociatedEntitiesRequestType of type(s) application/json
Optional
{
    "profiles": [
        {
            "_typeName": "string",
            "uniqueId": "string"
        }
    ]
}
array of object
profiles
Optional

Storage policy array.

Authentication
This operation uses the following authentication methods.
Responses
200

Array of QueryProfileResult

[
    {
        "_typeName": "string",
        "object": {
            "_typeName": "string",
            "objectType": "string",
            "key": "string",
            "serverUuid": "string"
        },
        "profileId": [
            {
                "_typeName": "string",
                "uniqueId": "string"
            }
        ],
        "fault": {
            "_typeName": "string",
            "faultCause": {
                "_typeName": "string",
                "faultCause": "MethodFault Object",
                "faultMessage": [
                    {
                        "_typeName": "string",
                        "key": "string",
                        "arg": [
                            {
                                "_typeName": "string",
                                "key": "string",
                                "value": {
                                    "_typeName": "string"
                                }
                            }
                        ],
                        "message": "string"
                    }
                ]
            },
            "faultMessage": [
                {
                    "_typeName": "string",
                    "key": "string",
                    "arg": [
                        {
                            "_typeName": "string",
                            "key": "string",
                            "value": {
                                "_typeName": "string"
                            }
                        }
                    ],
                    "message": "string"
                }
            ]
        }
    }
]
array of object
Optional

The PbmQueryProfileResult data object identifies a virtual machine, virtual disk, or datastore and it lists the identifier(s) for the associated profile(s).

This structure may be used only with operations rendered under /pbm.


500

PbmFault: If there is an internal service error.

Returns PbmFault of type(s) application/json
This response body class contains all of the following: MethodFault
{
    "_typeName": "string",
    "faultCause": "MethodFault Object",
    "faultMessage": [
        {
            "_typeName": "string",
            "key": "string",
            "arg": [
                {
                    "_typeName": "string",
                    "key": "string",
                    "value": {
                        "_typeName": "string"
                    }
                }
            ],
            "message": "string"
        }
    ]
}

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/sdk/vim25/{release}/pbm/PbmProfileProfileManager/{moId}/PbmQueryAssociatedEntities